Please update for Firefox 16+ Puntuado con 4 de 5 estrellas

Does no longer work properly on Firefox 16.01 (not tested on Firefox 16.0). Please do update!

Esta valoración es de una versión anterior del complemento (13.0.20120505.1-signed).  Este usuario tiene otras valoraciones de este complemento.